View Issue Details

IDProjectCategoryView StatusLast Update
0012026LazarusLCLpublic2008-09-12 15:57
ReporterTom GregorovicAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux-i386OSUbuntuOS Version6.06
Product Version0.9.25 (SVN)Product Build 
Target VersionFixed in Version0.9.25 (SVN) 
Summary0012026: Clipping rect of newly created bitmap is invalid
DescriptionClipping rect of newly created bitmap is invalid.
Steps To Reproduceuses LCLProc;

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  B: TBitmap;
  R: TRect;
begin
  B := TBitmap.Create;
  B.Width := 100;
  B.Height := 100;
  B.Canvas.FillRect(0, 0, 100, 100);
  Caption := DbgS(B.Canvas.ClipRect);
  B.Free;
end;
TagsNo tags attached.
Fixed in Revision16535
LazTarget1.2
WidgetsetGTK 2
Attached Files

Activities

Paul Ishenin

2008-09-01 14:29

manager   ~0021888

Tomas, where is a test project?

Chris Rorden

2008-09-02 15:45

reporter   ~0021928

Here is a sample project that shows this bug. This project uses LazGRBgraphics to draw bimaps, and works correctly with GTK1, Carbon, Windows. However, it fails to update properly on GTK2 (you can get the images to refresh by choosing the 'blur' and 'perspective' options from the drop down menu.
 http://www.sph.sc.edu/comd/rorden/mricron/bounty/

Tom Gregorovic

2008-09-07 13:04

developer   ~0022048

The test code is in Steps to reproduce.

Chris Rorden

2008-09-10 21:39

reporter   ~0022121

Resolving this bug would help me out. Therefore, I am providing a bounty of $50 for anyone who can resolve this:
 http://wiki.lazarus.freepascal.org/Bounties#Gtk_bounties

Paul Ishenin

2008-09-11 03:17

manager   ~0022134

Please test and close if ok.

Chris Rorden

2008-09-12 15:57

reporter   ~0022164

Paul -
 Thanks for fixing this. Please email me (rorden at gwm sc edu) for the bounty.

Issue History

Date Modified Username Field Change
2008-09-01 13:55 Tom Gregorovic New Issue
2008-09-01 13:55 Tom Gregorovic LazTarget => -
2008-09-01 13:55 Tom Gregorovic Widgetset => GTK 2
2008-09-01 14:20 Vincent Snijders LazTarget - => 1.2
2008-09-01 14:20 Vincent Snijders Status new => acknowledged
2008-09-01 14:29 Paul Ishenin Note Added: 0021888
2008-09-01 14:29 Paul Ishenin Status acknowledged => feedback
2008-09-02 00:23 Paul Ishenin Status feedback => acknowledged
2008-09-02 15:45 Chris Rorden Note Added: 0021928
2008-09-07 13:04 Tom Gregorovic Note Added: 0022048
2008-09-10 21:39 Chris Rorden Note Added: 0022121
2008-09-11 03:17 Paul Ishenin Fixed in Revision => 16535
2008-09-11 03:17 Paul Ishenin Status acknowledged => resolved
2008-09-11 03:17 Paul Ishenin Fixed in Version => 0.9.25 (SVN)
2008-09-11 03:17 Paul Ishenin Resolution open => fixed
2008-09-11 03:17 Paul Ishenin Assigned To => Paul Ishenin
2008-09-11 03:17 Paul Ishenin Note Added: 0022134
2008-09-12 15:57 Chris Rorden Status resolved => closed
2008-09-12 15:57 Chris Rorden Note Added: 0022164